/***************************************************************************
 *
 *            Copyright (c) 2006 by CMX Systems, Inc.
 *
 * This software is copyrighted by and is the sole property of
 * CMX.  All rights, title, ownership, or other interests
 * in the software remain the property of CMX.  This
 * software may only be used in accordance with the corresponding
 * license agreement.  Any unauthorized use, duplication, transmission,
 * distribution, or disclosure of this software is expressly forbidden.
 *
 * This Copyright notice may not be removed or modified without prior
 * written consent of CMX.
 *
 * CMX reserves the right to modify this software without notice.
 *
 * CMX Systems, Inc.
 * 12276 San Jose Blvd. #511
 * Jacksonville, FL 32223
 * USA
 *
 * Tel:  (904) 880-1840
 * Fax:  (904) 880-1632
 * http: www.cmx.com
 * email: cmx@cmx.com
 *
 ***************************************************************************/

#ifndef _UART_H_
#define _UART_H_

extern void uart_init(hcc_u32 bps, hcc_u8 stp, hcc_u8 par, hcc_u8 ndata);
extern hcc_u8 uart_tx1(hcc_u8 c);
extern hcc_u16 uart_rx1(void);
extern hcc_u32 uart_get_bps(void);
extern hcc_u32 uart_set_bps(hcc_u32 bps);
extern void uart_putch(hcc_u8 c);
extern hcc_u8 uart_getch(void);
extern hcc_u8 uart_input_ready(void);


#endif
/****************************** END OF FILE **********************************/
